Entur Developer
Payments

Payments

Server

Create, update, deactivate and retrieve payments. Create, initiate, capture, cancel, and retrieve payment transactions


Search for payments.

GET
https://api.entur.io/sales
/v1/payments

Returns matching payments with all its transactions. Query params are able to used expression like gt:1 for searching. Other expressions can contain eq, ne, gt, gte, lt, lte.

Search for payments. › query Parameters

cardNumber
​string[] · style: form · explode: true

Last 4 digits in card number used in transaction for payment

createdAt
​string[] · style: pipeDelimited

When the payment was created.

currency
​string[] · style: form · explode: true

Currencies

customerNumber
​string[] · style: form · explode: true

Numeric id of customer

externalTransactionId
​string[] · style: form · explode: true

Transaction ID from 3rd party payment provider

orderId
​string[] · style: form · explode: true

Order IDs

orderVersion
​string[] · style: form · explode: true

Order version

organisationId
​string[] · style: form · explode: true

organisationId of the customer company

page
​integer · int32 · style: form · explode: true

Selects a specific page in the collection

Default: 1
paymentId
​string[] · style: form · explode: true

Payment IDs

paymentTransactionId
​string[] · style: form · explode: true

Id of (one of) the PaymentTransaction(s) performed as part of the payment

paymentType
​string[] · style: form · explode: true

Type of payment transaction

paymentTypeGroup
​string[] · style: form · explode: true

The PaymentTypeGroup the payment type belongs to

perPage
​integer · int32 · style: form · explode: true

Selects the number of elements per page

Default: 30
rrn
​string[] · style: form · explode: true

Reconciliation reference number used to track a transaction through different economy systems.

settlementId
​string[] · style: pipeDelimited

ID of settlement the transaction is linked to.

status
​string[] · style: form · explode: true

Status of transaction relating to payment

totalAmount
​string[] · style: form · explode: true

Total amounts

updatedAt
​string[] · style: pipeDelimited

When the payment was last updated.

Search for payments. › Headers

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Search for payments. › Responses

OK

Page displays a subset of a list of entities
​PaymentResponse[] · readOnly · required

Items on a specific page

totalItems
​integer · int64 · readOnly · required

Total number of items

Example: 72
totalPages
​integer · int64 · readOnly · required

Total number of pages available to browse

Example: 9

Create a new payment.

POST
https://api.entur.io/sales
/v1/payments

Create a new payment. You may either create the payment without transactions and add them later, or include an initial transaction whose amount matches the payment total. Note that Entur can deactivate a payment method temporarily. If you include a transaction in this request, make sure its payment method is available by retrieving all current available methods first via GET /v1/payment-methods.

Create a new payment. › Headers

Entur-POS
​string · required · style: simple

Point-of-sale identifier.

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Entur-Distribution-Channel
​string · style: simple

Distribution channel identifier.

Entur-On-Behalf-Of
​string · style: simple

Identifier of the organisation on whose behalf the request is made. Use of this header requires a separate agreement before use.

Create a new payment. › Request Body

Information used to create a Payment.
orderId
​string · required

Id of the order this payment belongs to.

Example: HE8NDS7XY
orderVersion
​integer · int32 · required

Version of the order this payment belongs to.

Example: 1
totalAmount
​string · maxLength: 19 · pattern: ^[1-9][0-9]{0,17}\.[… · required

Amount to pay, represented in the standard currency. Maximum (totalDigits: 18, fractionDigits: 5) according to ISO 20022. The integer and fractional digits are separated by a dot.

Example: 450.00
currency
​string · pattern: [A-Z]{3}

3-letter ISO 4217 currency code. Default is NOK.

Example: NOK
Default: NOK
customerNumber
​string

Customer who owns this payment. This value is only considered for privileged client (internal and partner tenants.

Example: 123456789
settlementId
​integer · int64

Supplied to the client by an external system for handling settlements. For Internal Entur Clients this is Entur’s Electronic Journal.

Example: 18234
​TransactionRequest

Information used to create a transaction.

Example: {"amount":"450.00","currency":"NOK","isImport":false,"paymentType":"VISA","paymentTypeGroup":"PAYMENTCARD","recurringPaymentId":1,"with3DSecure":true,"scaExemption":"LOW_VALUE"}

Create a new payment. › Responses

Created

Information about an order's payment.
createdAt
​string · date-time · required

Timestamp for when payment was created.

Example: 2025-01-12T16:13:13Z
currency
​string · required

3-letter ISO 4217 currency code. Default is NOK.

Example: NOK
Default: NOK
orderId
​string · required

Id of the order this payment belongs to.

Example: HE8NDS7XY
orderVersion
​integer · int32 · required

Version of the order this payment belongs to.

Example: 1
organisationId
​integer · int64 · required

Id of the organisation who created this payment.

Example: 1
paymentId
​integer · int64 · required

Id of payment

Example: 123
totalAmount
​string · required

Amount to pay, represented in the standard currency. Maximum (totalDigits: 18, fractionDigits: 5) according to ISO 20022. The integer and fractional digits are separated by a dot. Editable: true

Example: 450.00
active
​boolean

This is to block any transactions after the corresponding order version is reset. Clients importing transactions need to either cancel or credit each transaction externally, and the credit the transaction directly using the transaction's credit endpoint. To continue using the same order id, the payment has to be reactivated with the correct total amount before any new actions can be made to this payment. Editable: true

Example: false
customerNumber
​string

ID of the customer who owns this payment.

Example: 123456789
settlementId
​integer · int64

Supplied to the client by an external system for handling settlements. For Internal Entur Clients this is Entur’s Electronic Journal.

Example: 18234
​TransactionResponse[]

List of all transactions belonging to this payment.

Example: [{"amount":"450.00","cardNumber":"0004","createdAt":"2025-01-12T16:08:03Z","currency":"NOK","operationLog":[{"amount":"450.00","distributionChannelId":"ENT:DistributionChannel:Test","operation":"CREATE","pos":"18930345","timestamp":"2025-08-24T14:15:22Z","error":{"code":"25","source":"Netaxept","message":"Transaction not found."}}],"paymentType":"VISA","paymentTypeFee":{"amount":"450.00","currency":"NOK","name":"ENT:PaymentTypeFee:Collector","reason":"Walley Invoice","taxAmount":"25.00","taxCode":"3","taxRate":"25.00"},"paymentTypeGroup":"PAYMENTCARD","recurringPaymentId":1,"rrn":"000123456123","status":"CREATED","summary":{"capturedAmount":"450.00","creditedAmount":"450.00","remainingAmountToCapture":"0.00","remainingAmountToCredit":"0.00"},"transactionData":{"extraData":"any extra data you want to add"},"transactionId":10,"updatedAt":"2025-01-12T16:13:13Z"}]
updatedAt
​string · date-time

Timestamp for when payment was last updated.

Example: 2025-01-12T16:13:13Z

Get a payment.

GET
https://api.entur.io/sales
/v1/payments/{paymentId}

Returns the payment with all its transactions.

Get a payment. › path Parameters

paymentId
​integer · int64 · required · style: simple

paymentId

Get a payment. › Headers

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Get a payment. › Responses

Ok

Information about an order's payment.
createdAt
​string · date-time · required

Timestamp for when payment was created.

Example: 2025-01-12T16:13:13Z
currency
​string · required

3-letter ISO 4217 currency code. Default is NOK.

Example: NOK
Default: NOK
orderId
​string · required

Id of the order this payment belongs to.

Example: HE8NDS7XY
orderVersion
​integer · int32 · required

Version of the order this payment belongs to.

Example: 1
organisationId
​integer · int64 · required

Id of the organisation who created this payment.

Example: 1
paymentId
​integer · int64 · required

Id of payment

Example: 123
totalAmount
​string · required

Amount to pay, represented in the standard currency. Maximum (totalDigits: 18, fractionDigits: 5) according to ISO 20022. The integer and fractional digits are separated by a dot. Editable: true

Example: 450.00
active
​boolean

This is to block any transactions after the corresponding order version is reset. Clients importing transactions need to either cancel or credit each transaction externally, and the credit the transaction directly using the transaction's credit endpoint. To continue using the same order id, the payment has to be reactivated with the correct total amount before any new actions can be made to this payment. Editable: true

Example: false
customerNumber
​string

ID of the customer who owns this payment.

Example: 123456789
settlementId
​integer · int64

Supplied to the client by an external system for handling settlements. For Internal Entur Clients this is Entur’s Electronic Journal.

Example: 18234
​TransactionResponse[]

List of all transactions belonging to this payment.

Example: [{"amount":"450.00","cardNumber":"0004","createdAt":"2025-01-12T16:08:03Z","currency":"NOK","operationLog":[{"amount":"450.00","distributionChannelId":"ENT:DistributionChannel:Test","operation":"CREATE","pos":"18930345","timestamp":"2025-08-24T14:15:22Z","error":{"code":"25","source":"Netaxept","message":"Transaction not found."}}],"paymentType":"VISA","paymentTypeFee":{"amount":"450.00","currency":"NOK","name":"ENT:PaymentTypeFee:Collector","reason":"Walley Invoice","taxAmount":"25.00","taxCode":"3","taxRate":"25.00"},"paymentTypeGroup":"PAYMENTCARD","recurringPaymentId":1,"rrn":"000123456123","status":"CREATED","summary":{"capturedAmount":"450.00","creditedAmount":"450.00","remainingAmountToCapture":"0.00","remainingAmountToCredit":"0.00"},"transactionData":{"extraData":"any extra data you want to add"},"transactionId":10,"updatedAt":"2025-01-12T16:13:13Z"}]
updatedAt
​string · date-time

Timestamp for when payment was last updated.

Example: 2025-01-12T16:13:13Z

Update a payment.

PATCH
https://api.entur.io/sales
/v1/payments/{paymentId}

The payment will be patched with specified fields. NULL values specifically set is considered as removing the field. In other words, only included fields will be modified. As of now, the only editable field is 'totalAmount' and 'active' (only for activation, not deactivation). For more information about the PATCH endpoint and the merge-patch content-type, please refer to RFC7396.

Update a payment. › path Parameters

paymentId
​integer · int64 · required · style: simple

paymentId

Update a payment. › Headers

Entur-POS
​string · required · style: simple

Point-of-sale identifier.

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Entur-Distribution-Channel
​string · style: simple

Distribution channel identifier.

Update a payment. › Request Body

Request body udes to update a payment. The properties described here are the only properties that can be updated on a payment.
totalAmount
​string · required

Amount to pay, represented in the standard currency. Maximum (totalDigits: 18, fractionDigits: 5) according to ISO 20022. The integer and fractional digits are separated by a dot. Editable: true

Example: 450.00
active
​boolean

Active is used during activation of payment

Example: true
settlementId
​integer

Id of a settlement used to identify on-site payments i.e. mobile terminals, ticket vending machines and customer service help-desks.

Example: 100123

Update a payment. › Responses

OK

Information about an order's payment.
createdAt
​string · date-time · required

Timestamp for when payment was created.

Example: 2025-01-12T16:13:13Z
currency
​string · required

3-letter ISO 4217 currency code. Default is NOK.

Example: NOK
Default: NOK
orderId
​string · required

Id of the order this payment belongs to.

Example: HE8NDS7XY
orderVersion
​integer · int32 · required

Version of the order this payment belongs to.

Example: 1
organisationId
​integer · int64 · required

Id of the organisation who created this payment.

Example: 1
paymentId
​integer · int64 · required

Id of payment

Example: 123
totalAmount
​string · required

Amount to pay, represented in the standard currency. Maximum (totalDigits: 18, fractionDigits: 5) according to ISO 20022. The integer and fractional digits are separated by a dot. Editable: true

Example: 450.00
active
​boolean

This is to block any transactions after the corresponding order version is reset. Clients importing transactions need to either cancel or credit each transaction externally, and the credit the transaction directly using the transaction's credit endpoint. To continue using the same order id, the payment has to be reactivated with the correct total amount before any new actions can be made to this payment. Editable: true

Example: false
customerNumber
​string

ID of the customer who owns this payment.

Example: 123456789
settlementId
​integer · int64

Supplied to the client by an external system for handling settlements. For Internal Entur Clients this is Entur’s Electronic Journal.

Example: 18234
​TransactionResponse[]

List of all transactions belonging to this payment.

Example: [{"amount":"450.00","cardNumber":"0004","createdAt":"2025-01-12T16:08:03Z","currency":"NOK","operationLog":[{"amount":"450.00","distributionChannelId":"ENT:DistributionChannel:Test","operation":"CREATE","pos":"18930345","timestamp":"2025-08-24T14:15:22Z","error":{"code":"25","source":"Netaxept","message":"Transaction not found."}}],"paymentType":"VISA","paymentTypeFee":{"amount":"450.00","currency":"NOK","name":"ENT:PaymentTypeFee:Collector","reason":"Walley Invoice","taxAmount":"25.00","taxCode":"3","taxRate":"25.00"},"paymentTypeGroup":"PAYMENTCARD","recurringPaymentId":1,"rrn":"000123456123","status":"CREATED","summary":{"capturedAmount":"450.00","creditedAmount":"450.00","remainingAmountToCapture":"0.00","remainingAmountToCredit":"0.00"},"transactionData":{"extraData":"any extra data you want to add"},"transactionId":10,"updatedAt":"2025-01-12T16:13:13Z"}]
updatedAt
​string · date-time

Timestamp for when payment was last updated.

Example: 2025-01-12T16:13:13Z

Deactivate a payment

POST
https://api.entur.io/sales
/v1/payments/{paymentId}/deactivate

The payment will be deactivated. Any previously captured transactions will be credited (as long as it is not an imported transaction), and all other transactions will be cancelled.

Deactivate a payment › path Parameters

paymentId
​integer · int64 · required · style: simple

paymentId

Deactivate a payment › Headers

Entur-POS
​string · required · style: simple

Point-of-sale identifier.

Entur-Distribution-Channel
​string · style: simple

Distribution channel identifier.

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Deactivate a payment › Responses

Ok

Information about an order's payment.
createdAt
​string · date-time · required

Timestamp for when payment was created.

Example: 2025-01-12T16:13:13Z
currency
​string · required

3-letter ISO 4217 currency code. Default is NOK.

Example: NOK
Default: NOK
orderId
​string · required

Id of the order this payment belongs to.

Example: HE8NDS7XY
orderVersion
​integer · int32 · required

Version of the order this payment belongs to.

Example: 1
organisationId
​integer · int64 · required

Id of the organisation who created this payment.

Example: 1
paymentId
​integer · int64 · required

Id of payment

Example: 123
totalAmount
​string · required

Amount to pay, represented in the standard currency. Maximum (totalDigits: 18, fractionDigits: 5) according to ISO 20022. The integer and fractional digits are separated by a dot. Editable: true

Example: 450.00
active
​boolean

This is to block any transactions after the corresponding order version is reset. Clients importing transactions need to either cancel or credit each transaction externally, and the credit the transaction directly using the transaction's credit endpoint. To continue using the same order id, the payment has to be reactivated with the correct total amount before any new actions can be made to this payment. Editable: true

Example: false
customerNumber
​string

ID of the customer who owns this payment.

Example: 123456789
settlementId
​integer · int64

Supplied to the client by an external system for handling settlements. For Internal Entur Clients this is Entur’s Electronic Journal.

Example: 18234
​TransactionResponse[]

List of all transactions belonging to this payment.

Example: [{"amount":"450.00","cardNumber":"0004","createdAt":"2025-01-12T16:08:03Z","currency":"NOK","operationLog":[{"amount":"450.00","distributionChannelId":"ENT:DistributionChannel:Test","operation":"CREATE","pos":"18930345","timestamp":"2025-08-24T14:15:22Z","error":{"code":"25","source":"Netaxept","message":"Transaction not found."}}],"paymentType":"VISA","paymentTypeFee":{"amount":"450.00","currency":"NOK","name":"ENT:PaymentTypeFee:Collector","reason":"Walley Invoice","taxAmount":"25.00","taxCode":"3","taxRate":"25.00"},"paymentTypeGroup":"PAYMENTCARD","recurringPaymentId":1,"rrn":"000123456123","status":"CREATED","summary":{"capturedAmount":"450.00","creditedAmount":"450.00","remainingAmountToCapture":"0.00","remainingAmountToCredit":"0.00"},"transactionData":{"extraData":"any extra data you want to add"},"transactionId":10,"updatedAt":"2025-01-12T16:13:13Z"}]
updatedAt
​string · date-time

Timestamp for when payment was last updated.

Example: 2025-01-12T16:13:13Z

Create a new transaction and add to payment.

POST
https://api.entur.io/sales
/v1/payments/{paymentId}/transactions

Add a transaction to an existing payment. Provide either a payment method or a recurring payment ID (at least one must be present). A payment can have more than one transaction. This operation can be seen in the operation log of the transaction as CREATE. Note that Entur can deactivate a payment method temporarily, retrieve all available payment methods first via GET /v1/payment-methods.

Create a new transaction and add to payment. › path Parameters

paymentId
​integer · int64 · required · style: simple

paymentId

Create a new transaction and add to payment. › Headers

Entur-POS
​string · required · style: simple

Point-of-sale identifier.

Entur-Distribution-Channel
​string · style: simple

Distribution channel identifier.

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Create a new transaction and add to payment. › Request Body

Information used to create a transaction.
amount
​string · required

Amount to pay, represented in the standard currency. Maximum (totalDigits: 18, fractionDigits: 5) according to ISO 20022. The integer and fractional digits are separated by a dot.

Example: 450.00
currency
​string · pattern: [A-Z]{3}

3-letter ISO 4217 currency code. Default is NOK.

Example: NOK
Default: NOK
isImport
​boolean

Import flag. Selects a special payment method for imports.

Example: false
Default: false
paymentType
​PaymentType · enum

The actual type of payment.

Enum values:
AMEX
BANKAXEPT
COLLECTOR
GIFTCARD
MASTERCARD
PAYPAL
VIPPS
VISA
Example: VISA
paymentTypeGroup
​PaymentTypeGroup · enum

A PaymentTypeGroup used to override which kind of method to use for reimbursement, instead of using same as used for the payment transaction.This will only take effect if the payment method on the payment transaction allows for overriding.

Enum values:
AGENT
CASH
ECARD
GIFTCARD
INVOICE
MOBILE
PAYMENTCARD
PAYPAL
Example: CASH
recurringPaymentId
​integer · int64

ID of the saved payment method to use for this transaction.

Example: 123
paymentAgreementId
​integer · int64

ID of the payment agreement to charge against. Used for Vipps recurring agreement payments. Mutually exclusive with recurringPaymentId.

Example: 456
with3DSecure
​boolean

Flag to choose payment methods with or without 3D Secure. This option is only accessible to privileged clients.

Example: true
Default: true
scaExemption
​ScaExemption

The type of SCA (secure customer authentication) Exemption for a transaction. Defaults to NO_EXEMPTION. Other available values are: LOW_VALUE.

Example: NO_EXEMPTION
createAgreement
​boolean

If true, a new FLEXIBLE Vipps agreement is created and the transaction amount becomes the initial charge. The user must approve the agreement before the charge is processed. Use with paymentType VIPPS / paymentTypeGroup MOBILE. Mutually exclusive with paymentAgreementId and recurringPaymentId.

Example: false
Default: false

Create a new transaction and add to payment. › Responses

Created

Payment transaction information
amount
​string · required

Amount to pay, represented in the standard currency unit. Maximum (totalDigits: 18, fractionDigits: 5) according to ISO 20022. The integer and fractional digits are separated by a dot. Deprecated and will be removed in next version of API. Use summary instead.

Example: 450.00
createdAt
​string · date-time · readOnly · required

Timestamp for when transaction was first created.

Example: 2025-09-30T22:00:00Z
currency
​string · required

3-letter currency code. (ISO 4217)

Example: NOK
Default: NOK
status
​TransactionStatus · enum · required

Current state of the transaction.

Enum values:
CANCELLED
CAPTURED
CREATED
CREDITED
INITIATED
REJECTED
Example: CREATED
transactionId
​integer · int64 · required

ID of the specific transaction.

Example: 1
cardNumber
​string

Last 4 digits in card number (PAN - Personal Account Number)

Example: 0004

Log of each successful operation made on the transaction. Failing operations will not be included.

Example: [{"amount":"450.00","distributionChannelId":"ENT:DistributionChannel:Test","operation":"CREATE","pos":"18930345","timestamp":"2025-08-24T14:15:22Z","error":{"code":"25","source":"Netaxept","message":"Transaction not found."}}]
paymentType
​PaymentType · enum

The actual type of payment.

Enum values:
AMEX
BANKAXEPT
COLLECTOR
GIFTCARD
MASTERCARD
PAYPAL
VIPPS
VISA
Example: VISA
paymentTypeGroup
​PaymentTypeGroup · enum

A PaymentTypeGroup used to override which kind of method to use for reimbursement, instead of using same as used for the payment transaction.This will only take effect if the payment method on the payment transaction allows for overriding.

Enum values:
AGENT
CASH
ECARD
GIFTCARD
INVOICE
MOBILE
PAYMENTCARD
PAYPAL
Example: CASH
paymentId
​integer · int64

ID of the payment this transaction belongs to.

Example: 42
paymentAgreementId
​integer · int64

ID of the payment agreement associated with this transaction, if any.

Example: 456
recurringPaymentId
​integer · int64

Reference to the saved payment agreement this transaction will use, if any was specified.

Example: 123
rrn
​string

Reconciliation reference number used to track a transaction through different economy systems.

Example: 000012345678

Aggregated summary of amounts on a transaction.

Example: {"capturedAmount":"450.00","creditedAmount":"450.00","remainingAmountToCapture":"0.00","remainingAmountToCredit":"0.00"}
​object

Extra transaction data from external client. Only relevant for clients using the import flow.

Example: {"extraData":"any extra data you want to add"}
updatedAt
​string · date-time · readOnly

Timestamp for when transaction was last updated.

Example: 2025-09-30T22:00:00Z

Get a single transaction.

GET
https://api.entur.io/sales
/v1/payments/{paymentId}/transactions/{transactionId}

Returns the transaction including an operation log showing everything that happened to the transaction.

Get a single transaction. › path Parameters

paymentId
​integer · int64 · required · style: simple

paymentId

transactionId
​integer · int64 · required · style: simple

transactionId

Get a single transaction. › Headers

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Get a single transaction. › Responses

Ok

Payment transaction information
amount
​string · required

Amount to pay, represented in the standard currency unit. Maximum (totalDigits: 18, fractionDigits: 5) according to ISO 20022. The integer and fractional digits are separated by a dot. Deprecated and will be removed in next version of API. Use summary instead.

Example: 450.00
createdAt
​string · date-time · readOnly · required

Timestamp for when transaction was first created.

Example: 2025-09-30T22:00:00Z
currency
​string · required

3-letter currency code. (ISO 4217)

Example: NOK
Default: NOK
status
​TransactionStatus · enum · required

Current state of the transaction.

Enum values:
CANCELLED
CAPTURED
CREATED
CREDITED
INITIATED
REJECTED
Example: CREATED
transactionId
​integer · int64 · required

ID of the specific transaction.

Example: 1
cardNumber
​string

Last 4 digits in card number (PAN - Personal Account Number)

Example: 0004

Log of each successful operation made on the transaction. Failing operations will not be included.

Example: [{"amount":"450.00","distributionChannelId":"ENT:DistributionChannel:Test","operation":"CREATE","pos":"18930345","timestamp":"2025-08-24T14:15:22Z","error":{"code":"25","source":"Netaxept","message":"Transaction not found."}}]
paymentType
​PaymentType · enum

The actual type of payment.

Enum values:
AMEX
BANKAXEPT
COLLECTOR
GIFTCARD
MASTERCARD
PAYPAL
VIPPS
VISA
Example: VISA
paymentTypeGroup
​PaymentTypeGroup · enum

A PaymentTypeGroup used to override which kind of method to use for reimbursement, instead of using same as used for the payment transaction.This will only take effect if the payment method on the payment transaction allows for overriding.

Enum values:
AGENT
CASH
ECARD
GIFTCARD
INVOICE
MOBILE
PAYMENTCARD
PAYPAL
Example: CASH
paymentId
​integer · int64

ID of the payment this transaction belongs to.

Example: 42
paymentAgreementId
​integer · int64

ID of the payment agreement associated with this transaction, if any.

Example: 456
recurringPaymentId
​integer · int64

Reference to the saved payment agreement this transaction will use, if any was specified.

Example: 123
rrn
​string

Reconciliation reference number used to track a transaction through different economy systems.

Example: 000012345678

Aggregated summary of amounts on a transaction.

Example: {"capturedAmount":"450.00","creditedAmount":"450.00","remainingAmountToCapture":"0.00","remainingAmountToCredit":"0.00"}
​object

Extra transaction data from external client. Only relevant for clients using the import flow.

Example: {"extraData":"any extra data you want to add"}
updatedAt
​string · date-time · readOnly

Timestamp for when transaction was last updated.

Example: 2025-09-30T22:00:00Z

Create payment claim in mobile app.

POST
https://api.entur.io/sales
/v1/payments/{paymentId}/transactions/{transactionId}/app-claim

Register the transaction with Vipps, which will present payment information to the customer in the Vipps app. Note that the receipt of confirmation in the payment app will not serve as payment confirmation, as this action will only reserve the money on the customer's bank account. When the payment is accepted by the customer, a callback will be sent to the location provided in the request. This operation can be seen in the operation log of the transaction as INITIATE.

The response depends on how the transaction was created:

  • Standard Vipps payment (no agreement): returns 201 with an appClaimUrl the client uses to open the Vipps app and present the payment to the customer.
  • New agreement (createAgreement=true): returns 201 with a confirmation URL the customer must visit to approve the new agreement.
  • Existing agreement (paymentAgreementId set): returns 204 No Content. The charge is initiated directly against the existing agreement; no redirect or customer interaction is required. Clients implementing paymentAgreementId support must handle both 201 and 204 responses.

Create payment claim in mobile app. › path Parameters

paymentId
​integer · int64 · required · style: simple

paymentId

transactionId
​integer · int64 · required · style: simple

transactionId

Create payment claim in mobile app. › Headers

Entur-POS
​string · required · style: simple

Point-of-sale identifier.

Entur-Distribution-Channel
​string · style: simple

Distribution channel identifier.

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Create payment claim in mobile app. › Request Body

Information used to create a payment claim in a mobile app where end-user can accept payment.
description
​string

Customize the text to be presented to the end-user in the payment app. This often involves some kind of product information.

Example: Train ticket(s) from entur.org
phoneNumber
​string · pattern: ^([0-9]{8}|\+?[0-9]{…

Phone number where the claim should be presented. Accepted formats: 8-digit Norwegian number (country code 47 is added automatically if not provided), MSISDN (digits only, country code included, 10–15 digits), or E.164 (leading +, 10–15 digits). Supported country codes: Norway (47), Denmark (45), Sweden (46), Finland (358).

Example: 4791234567
redirectUrl
​string · minLength: 1

Location to be redirected to from the 3rd party landing page/app.

Example: https://www.entur.org or my-app://my-url

Create payment claim in mobile app. › Responses

Created. Returned for standard Vipps payments and new agreements (createAgreement=true). Contains an appClaimUrl used to direct the customer to Vipps.

Information about how to access mobile app "terminal".
appClaimUrl
​string · required

Location of the payment terminal.

Example: https://landing.vipps.no/?token=eyJ0eXAiOiJKV1QiLCJhbGciOiJSUzI1Ni
paymentId
​integer · int64 · required

ID of the payment the transaction belongs to. Used with the transactionId to later capture transaction.

Example: 1
transactionId
​integer · int64 · required

ID of the transaction this terminal belongs to. Used with the transactionId to later capture transaction.

Example: 10

Cancel a transaction which is already CREATED/INITIATED.

POST
https://api.entur.io/sales
/v1/payments/{paymentId}/transactions/{transactionId}/cancel

To be able to continue using the same payment (for the same order and order version), but with a new transaction, cancel needs to be called to not have it be included when summing up the total amount. There are several cases where this can be necessary, i.e. customer wants to use another payment method, or something goes wrong with the transaction before it is CAPTURED. This also takes care of cleaning up with the 3rd party payment provider if necessary.

Cancel a transaction which is already CREATED/INITIATED. › path Parameters

paymentId
​integer · int64 · required · style: simple

paymentId

transactionId
​integer · int64 · required · style: simple

transactionId

Cancel a transaction which is already CREATED/INITIATED. › Headers

Entur-POS
​string · required · style: simple

Point-of-sale identifier.

Entur-Distribution-Channel
​string · style: simple

Distribution channel identifier.

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Cancel a transaction which is already CREATED/INITIATED. › Responses

Ok

Payment transaction information
amount
​string · required

Amount to pay, represented in the standard currency unit. Maximum (totalDigits: 18, fractionDigits: 5) according to ISO 20022. The integer and fractional digits are separated by a dot. Deprecated and will be removed in next version of API. Use summary instead.

Example: 450.00
createdAt
​string · date-time · readOnly · required

Timestamp for when transaction was first created.

Example: 2025-09-30T22:00:00Z
currency
​string · required

3-letter currency code. (ISO 4217)

Example: NOK
Default: NOK
status
​TransactionStatus · enum · required

Current state of the transaction.

Enum values:
CANCELLED
CAPTURED
CREATED
CREDITED
INITIATED
REJECTED
Example: CREATED
transactionId
​integer · int64 · required

ID of the specific transaction.

Example: 1
cardNumber
​string

Last 4 digits in card number (PAN - Personal Account Number)

Example: 0004

Log of each successful operation made on the transaction. Failing operations will not be included.

Example: [{"amount":"450.00","distributionChannelId":"ENT:DistributionChannel:Test","operation":"CREATE","pos":"18930345","timestamp":"2025-08-24T14:15:22Z","error":{"code":"25","source":"Netaxept","message":"Transaction not found."}}]
paymentType
​PaymentType · enum

The actual type of payment.

Enum values:
AMEX
BANKAXEPT
COLLECTOR
GIFTCARD
MASTERCARD
PAYPAL
VIPPS
VISA
Example: VISA
paymentTypeGroup
​PaymentTypeGroup · enum

A PaymentTypeGroup used to override which kind of method to use for reimbursement, instead of using same as used for the payment transaction.This will only take effect if the payment method on the payment transaction allows for overriding.

Enum values:
AGENT
CASH
ECARD
GIFTCARD
INVOICE
MOBILE
PAYMENTCARD
PAYPAL
Example: CASH
paymentId
​integer · int64

ID of the payment this transaction belongs to.

Example: 42
paymentAgreementId
​integer · int64

ID of the payment agreement associated with this transaction, if any.

Example: 456
recurringPaymentId
​integer · int64

Reference to the saved payment agreement this transaction will use, if any was specified.

Example: 123
rrn
​string

Reconciliation reference number used to track a transaction through different economy systems.

Example: 000012345678

Aggregated summary of amounts on a transaction.

Example: {"capturedAmount":"450.00","creditedAmount":"450.00","remainingAmountToCapture":"0.00","remainingAmountToCredit":"0.00"}
​object

Extra transaction data from external client. Only relevant for clients using the import flow.

Example: {"extraData":"any extra data you want to add"}
updatedAt
​string · date-time · readOnly

Timestamp for when transaction was last updated.

Example: 2025-09-30T22:00:00Z

Capture the transaction.

PUT
https://api.entur.io/sales
/v1/payments/{paymentId}/transactions/{transactionId}/capture

Updates the state of the transaction to CAPTURED, and returns the state of the whole payment. After this operation, the transaction is considered to be paid, and a credit is needed to revert it. This operation can be seen in the operation log of the transaction as CAPTURE.

Capture the transaction. › path Parameters

paymentId
​integer · int64 · required · style: simple

paymentId

transactionId
​integer · int64 · required · style: simple

transactionId

Capture the transaction. › Headers

Entur-POS
​string · required · style: simple

Point-of-sale identifier.

Entur-Distribution-Channel
​string · style: simple

Distribution channel identifier.

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Capture the transaction. › Responses

Ok

Information about an order's payment.
createdAt
​string · date-time · required

Timestamp for when payment was created.

Example: 2025-01-12T16:13:13Z
currency
​string · required

3-letter ISO 4217 currency code. Default is NOK.

Example: NOK
Default: NOK
orderId
​string · required

Id of the order this payment belongs to.

Example: HE8NDS7XY
orderVersion
​integer · int32 · required

Version of the order this payment belongs to.

Example: 1
organisationId
​integer · int64 · required

Id of the organisation who created this payment.

Example: 1
paymentId
​integer · int64 · required

Id of payment

Example: 123
totalAmount
​string · required

Amount to pay, represented in the standard currency. Maximum (totalDigits: 18, fractionDigits: 5) according to ISO 20022. The integer and fractional digits are separated by a dot. Editable: true

Example: 450.00
active
​boolean

This is to block any transactions after the corresponding order version is reset. Clients importing transactions need to either cancel or credit each transaction externally, and the credit the transaction directly using the transaction's credit endpoint. To continue using the same order id, the payment has to be reactivated with the correct total amount before any new actions can be made to this payment. Editable: true

Example: false
customerNumber
​string

ID of the customer who owns this payment.

Example: 123456789
settlementId
​integer · int64

Supplied to the client by an external system for handling settlements. For Internal Entur Clients this is Entur’s Electronic Journal.

Example: 18234
​TransactionResponse[]

List of all transactions belonging to this payment.

Example: [{"amount":"450.00","cardNumber":"0004","createdAt":"2025-01-12T16:08:03Z","currency":"NOK","operationLog":[{"amount":"450.00","distributionChannelId":"ENT:DistributionChannel:Test","operation":"CREATE","pos":"18930345","timestamp":"2025-08-24T14:15:22Z","error":{"code":"25","source":"Netaxept","message":"Transaction not found."}}],"paymentType":"VISA","paymentTypeFee":{"amount":"450.00","currency":"NOK","name":"ENT:PaymentTypeFee:Collector","reason":"Walley Invoice","taxAmount":"25.00","taxCode":"3","taxRate":"25.00"},"paymentTypeGroup":"PAYMENTCARD","recurringPaymentId":1,"rrn":"000123456123","status":"CREATED","summary":{"capturedAmount":"450.00","creditedAmount":"450.00","remainingAmountToCapture":"0.00","remainingAmountToCredit":"0.00"},"transactionData":{"extraData":"any extra data you want to add"},"transactionId":10,"updatedAt":"2025-01-12T16:13:13Z"}]
updatedAt
​string · date-time

Timestamp for when payment was last updated.

Example: 2025-01-12T16:13:13Z

Claim a gift-card

POST
https://api.entur.io/sales
/v1/payments/{paymentId}/transactions/{transactionId}/gift-card-claim

The gift-card will be claimed

Claim a gift-card › path Parameters

paymentId
​integer · int64 · required · style: simple

paymentId

transactionId
​integer · int64 · required · style: simple

transactionId

Claim a gift-card › Headers

Entur-POS
​string · required · style: simple

Point-of-sale identifier.

Entur-Distribution-Channel
​string · style: simple

Distribution channel identifier.

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Claim a gift-card › Request Body

Information used to create a payment claim with a gift card.
giftCardCode
​string · required

The code identifying a gift card.

Example: 1927bd54-4cc4

Claim a gift-card › Responses

Created

Information about an order's payment.
createdAt
​string · date-time · required

Timestamp for when payment was created.

Example: 2025-01-12T16:13:13Z
currency
​string · required

3-letter ISO 4217 currency code. Default is NOK.

Example: NOK
Default: NOK
orderId
​string · required

Id of the order this payment belongs to.

Example: HE8NDS7XY
orderVersion
​integer · int32 · required

Version of the order this payment belongs to.

Example: 1
organisationId
​integer · int64 · required

Id of the organisation who created this payment.

Example: 1
paymentId
​integer · int64 · required

Id of payment

Example: 123
totalAmount
​string · required

Amount to pay, represented in the standard currency. Maximum (totalDigits: 18, fractionDigits: 5) according to ISO 20022. The integer and fractional digits are separated by a dot. Editable: true

Example: 450.00
active
​boolean

This is to block any transactions after the corresponding order version is reset. Clients importing transactions need to either cancel or credit each transaction externally, and the credit the transaction directly using the transaction's credit endpoint. To continue using the same order id, the payment has to be reactivated with the correct total amount before any new actions can be made to this payment. Editable: true

Example: false
customerNumber
​string

ID of the customer who owns this payment.

Example: 123456789
settlementId
​integer · int64

Supplied to the client by an external system for handling settlements. For Internal Entur Clients this is Entur’s Electronic Journal.

Example: 18234
​TransactionResponse[]

List of all transactions belonging to this payment.

Example: [{"amount":"450.00","cardNumber":"0004","createdAt":"2025-01-12T16:08:03Z","currency":"NOK","operationLog":[{"amount":"450.00","distributionChannelId":"ENT:DistributionChannel:Test","operation":"CREATE","pos":"18930345","timestamp":"2025-08-24T14:15:22Z","error":{"code":"25","source":"Netaxept","message":"Transaction not found."}}],"paymentType":"VISA","paymentTypeFee":{"amount":"450.00","currency":"NOK","name":"ENT:PaymentTypeFee:Collector","reason":"Walley Invoice","taxAmount":"25.00","taxCode":"3","taxRate":"25.00"},"paymentTypeGroup":"PAYMENTCARD","recurringPaymentId":1,"rrn":"000123456123","status":"CREATED","summary":{"capturedAmount":"450.00","creditedAmount":"450.00","remainingAmountToCapture":"0.00","remainingAmountToCredit":"0.00"},"transactionData":{"extraData":"any extra data you want to add"},"transactionId":10,"updatedAt":"2025-01-12T16:13:13Z"}]
updatedAt
​string · date-time

Timestamp for when payment was last updated.

Example: 2025-01-12T16:13:13Z

Import transaction data from external client.

POST
https://api.entur.io/sales
/v1/payments/{paymentId}/transactions/{transactionId}/import

This endpoint is to be used to fill an existing PaymentTransaction with predetermined data from a completed PaymentTransaction. This should only be used by certain privileged clients.

Import transaction data from external client. › path Parameters

paymentId
​integer · int64 · required · style: simple

paymentId

transactionId
​integer · int64 · required · style: simple

transactionId

Import transaction data from external client. › Headers

Entur-POS
​string · required · style: simple

Point-of-sale identifier.

Entur-Distribution-Channel
​string · style: simple

Distribution channel identifier.

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Import transaction data from external client. › Request Body

Request body for importing an already completed transaction.
transactionConfirmedAt
​string · date-time · required

Time when payment transaction was completed by the client.

Example: 2018-03-07T12:20:46Z
companyId
​string · pattern: [\d]{1,4}

Id of the issuing organisation. The id is equal to the internal id in Enturs Organisation Register. Required for ECARD.

Example: 1
envNetworkId
​string · pattern: [\d]{6}

County code for issuer

Example: 578000
mediaSerialNumberId
​string · pattern: [\d]{1,10}

Numerical e-Card identifier. Required for ECARD.

Example: 0067340023
paymentType
​string

Name of the specific payment type used. This further specifies the type of payment method used for this transaction. Often referred to as the name of the issuer for payment cards in the transaction data retrieved from payment terminals. Required for PAYMENTCARD.

Example: Coop Mastercard
rrn
​string · minLength: 1 · maxLength: 12

Reconciliation reference number used to track a transaction through different economy systems. Required for PAYMENTCARD.

Example: 000012345678
terminalId
​string

Unique identifier for a physical terminal. Makes a transaction unique together with rrn. Required for PAYMENTCARD.

Example: 123-133-44
externalTransactionId
​string

Transaction ID from 3rd party payment provider.

Example: 7381cc2886b147198tuf257440c614fd
​object

Any extra transaction data which could be relevant can be specified as a key value map of strings.

Example: {"someKey":"someValue"}

Import transaction data from external client. › Responses

Created

Payment transaction information
amount
​string · required

Amount to pay, represented in the standard currency unit. Maximum (totalDigits: 18, fractionDigits: 5) according to ISO 20022. The integer and fractional digits are separated by a dot. Deprecated and will be removed in next version of API. Use summary instead.

Example: 450.00
createdAt
​string · date-time · readOnly · required

Timestamp for when transaction was first created.

Example: 2025-09-30T22:00:00Z
currency
​string · required

3-letter currency code. (ISO 4217)

Example: NOK
Default: NOK
status
​TransactionStatus · enum · required

Current state of the transaction.

Enum values:
CANCELLED
CAPTURED
CREATED
CREDITED
INITIATED
REJECTED
Example: CREATED
transactionId
​integer · int64 · required

ID of the specific transaction.

Example: 1
cardNumber
​string

Last 4 digits in card number (PAN - Personal Account Number)

Example: 0004

Log of each successful operation made on the transaction. Failing operations will not be included.

Example: [{"amount":"450.00","distributionChannelId":"ENT:DistributionChannel:Test","operation":"CREATE","pos":"18930345","timestamp":"2025-08-24T14:15:22Z","error":{"code":"25","source":"Netaxept","message":"Transaction not found."}}]
paymentType
​PaymentType · enum

The actual type of payment.

Enum values:
AMEX
BANKAXEPT
COLLECTOR
GIFTCARD
MASTERCARD
PAYPAL
VIPPS
VISA
Example: VISA
paymentTypeGroup
​PaymentTypeGroup · enum

A PaymentTypeGroup used to override which kind of method to use for reimbursement, instead of using same as used for the payment transaction.This will only take effect if the payment method on the payment transaction allows for overriding.

Enum values:
AGENT
CASH
ECARD
GIFTCARD
INVOICE
MOBILE
PAYMENTCARD
PAYPAL
Example: CASH
paymentId
​integer · int64

ID of the payment this transaction belongs to.

Example: 42
paymentAgreementId
​integer · int64

ID of the payment agreement associated with this transaction, if any.

Example: 456
recurringPaymentId
​integer · int64

Reference to the saved payment agreement this transaction will use, if any was specified.

Example: 123
rrn
​string

Reconciliation reference number used to track a transaction through different economy systems.

Example: 000012345678

Aggregated summary of amounts on a transaction.

Example: {"capturedAmount":"450.00","creditedAmount":"450.00","remainingAmountToCapture":"0.00","remainingAmountToCredit":"0.00"}
​object

Extra transaction data from external client. Only relevant for clients using the import flow.

Example: {"extraData":"any extra data you want to add"}
updatedAt
​string · date-time · readOnly

Timestamp for when transaction was last updated.

Example: 2025-09-30T22:00:00Z

Create or replace an invoice for an order

POST
https://api.entur.io/sales
/v1/payments/{paymentId}/transactions/{transactionId}/invoice

Initiate a payment by creating or replacing an invoice based on orderId and PaymentType.

Create or replace an invoice for an order › path Parameters

paymentId
​integer · int64 · required · style: simple

paymentId

transactionId
​integer · int64 · required · style: simple

transactionId

Create or replace an invoice for an order › Headers

Entur-POS
​string · required · style: simple

Point-of-sale identifier.

Entur-Distribution-Channel
​string · style: simple

Distribution channel identifier.

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Create or replace an invoice for an order › Request Body

Information used to customize an invoice.
customerIdentificationNumber
​string

Customer identification number to identify customer information on electronic banking transactions. Used for penalty fare invoices in Xledger. Has absolutely nothing to do with Entur customers.

Example: 12345678
externalInvoiceNumber
​string

An external invoice number that is generated outside the sales system. This number is the invoice number on the written invoice, and must be sent to Xledger

Example: 21000557302577563
languageCode
​string

Language code to override terminal language and invoice if possible. Overrides customer preferences. ISO 639-3 format.

Example: NOB
Default: NOB
redirectUrl
​string · pattern: ^(https?://).{0,1024…

Location to be redirected to from the payment terminal. Required for Collector

Example: https://www.entur.org
invoiceId
​integer · int64

Id of Invoice. Only set in request for PUT

Example: 1

Create or replace an invoice for an order › Responses

Created

Information about the invoice payment
invoiceId
​integer · int64 · required

ID of the invoice connected to the payment. Used to lookup invoice in the invoice api

Example: 1
paymentId
​integer · int64 · required

ID of the payment the transaction belongs to. Used with the transactionId to later capture transaction.

Example: 1
transactionId
​integer · int64 · required

ID of the transaction this terminal belongs to. Used with the paymentId to later capture transaction.

Example: 1
terminalUri
​string

If paymentType is COLLECTOR: Location of the payment terminal, else null

Example: https://epayment.nets.eu/Terminal/default.aspx?merchantId=1234567&transactionId=77770fb3a53347777071cd6f4a3e7777
expiryDate
​string · date-time

Legacy field, only present on historical Collector B2B invoices: expiry date for when the invoice is no longer payable

Example: 2025-09-30T22:00:00Z
publicToken
​string

Legacy field, only present on historical Collector B2B invoices: token used in creation of payment iframe

Example: public-SE-0a94436dba53edc468584935e7da524eb8d5d8feab85ed03

Create payment terminal.

POST
https://api.entur.io/sales
/v1/payments/{paymentId}/transactions/{transactionId}/pan-hash-terminal

Registers the transaction with a 3rd party PSP and returns the location of the payment terminal. This operation can be seen in the operation log of the transaction as INITIATE.

Create payment terminal. › path Parameters

paymentId
​integer · int64 · required · style: simple

paymentId

transactionId
​integer · int64 · required · style: simple

transactionId

Create payment terminal. › Headers

Entur-POS
​string · required · style: simple

Point-of-sale identifier.

Entur-Distribution-Channel
​string · style: simple

Distribution channel identifier.

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Create payment terminal. › Request Body

Information used to create a terminal.
panHash
​string · required

The pan hash used to execute the payment.

Example: eVHXJzGr4gu1lz9TwGJU
recurringType
​string · minLength: 1 · maxLength: 1 · pattern: ^R|S$ · required

The type of the recurring payment. Can be either R og S.

Example: R
redirectUrl
​string · pattern: ^(https?://).{0,1024… · required

Location to be redirected to from the payment terminal.

Example: http://www.entur.org

Create payment terminal. › Responses

Created

Information about how to access the terminal.
terminalUri
​string · required

Location of the payment terminal.

Example: https://epayment.nets.eu/Terminal/default.aspx?merchantId=700000&transactionId=8841532204d4426da913a5abfbg322f0
paymentId
​integer · int64

ID of the payment the transaction belongs to. Used with the transactionId to later capture transaction.

Example: 1
recurringPaymentId
​integer · int64

ID of the recurring payment this terminal belongs to.

Example: 1
transactionId
​integer · int64

ID of the transaction this terminal belongs to. Used with the paymentId to later capture transaction.

Example: 1

Create payment terminal.

POST
https://api.entur.io/sales
/v1/payments/{paymentId}/transactions/{transactionId}/terminal

Registers the transaction with a 3rd party PSP and returns the location of the payment terminal where the user will provide card information. The terminal is available for 15min before the transaction times out. After this, a new transaction must be created. This operation can be seen in the operation log of the transaction as INITIATE.

Create payment terminal. › path Parameters

paymentId
​integer · int64 · required · style: simple

paymentId

transactionId
​integer · int64 · required · style: simple

transactionId

Create payment terminal. › Headers

Entur-POS
​string · required · style: simple

Point-of-sale identifier.

Entur-Distribution-Channel
​string · style: simple

Distribution channel identifier.

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Create payment terminal. › Request Body

Information used to customize the payment terminal.
redirectUrl
​string · pattern: ^(https?://).{0,1024… · required

Location to be redirected to from the payment terminal.

Example: https://www.entur.org
callbackUrl
​string

Location where notification of payment completion will be sent. If this is not provided, then the client will have to check for completion manually by getting the transaction and checking its status. The callback will be repeated until the server receives an HTTP 202 response.

Example: https://entur.org
customerNumber
​string

Customer number used with recurring payment creation. This field is optional and will only be considered for certain privileged clients.

Example: 123456789
storePayment
​boolean

Should the card be stored for recurring payments. If customer is not logged in, the value of this will be disregarded.

Example: false
Default: false
terminalLanguage
​TerminalLanguage · enum

Language used in the payment terminal. Default is 'no_NO'.

Enum values:
da_DK
de_DE
en_GB
es_ES
et_EE
fi_FI
fr_FR
it_IT
Example: no_NO
countryCode
​TerminalCountryCode · enum

ISO 3166-1 Alpha 2 country code used for certain terminals (PayPal, Collector). Used to decide which country store the customer wants to use. Default is 'NO'

Enum values:
NO
DK
SE
FI
Example: NO
Default: NO
autoSale
​boolean

If this flag is set to true, the capture call after a customer returns from the terminal is not needed. The processing starts automatically. This is only compatible with payments done with payment cards.

Default: false
transactionType
​TransactionType · enum

Set the type of transaction. Only set this field to MIT_UCOF if you want to create a Merchant Initiated Transaction (MIT) which refers to a card payment started by a merchant without the customer being actively involved. If this value is not set, a payment terminal will be created as normal.

Enum values:
MIT_UCOF
Example: MIT_UCOF
singlePage
​boolean

If this flag is set to true, we will attempt to generate a single-page terminal. If false, multi-page terminal might be used.

Example: false
Default: false

Create payment terminal. › Responses

Created

Information about how to access the terminal.
terminalUri
​string · required

Location of the payment terminal.

Example: https://epayment.nets.eu/Terminal/default.aspx?merchantId=700000&transactionId=8841532204d4426da913a5abfbg322f0
paymentId
​integer · int64

ID of the payment the transaction belongs to. Used with the transactionId to later capture transaction.

Example: 1
recurringPaymentId
​integer · int64

ID of the recurring payment this terminal belongs to.

Example: 1
transactionId
​integer · int64

ID of the transaction this terminal belongs to. Used with the paymentId to later capture transaction.

Example: 1

Create an internal payment terminal.

POST
https://api.entur.io/sales
/v1/payments/{paymentId}/transactions/{transactionId}/internal-terminal

Returns a terminal-url where the user can provide further information and complete the payment process.

Create an internal payment terminal. › path Parameters

paymentId
​integer · int64 · required · style: simple

paymentId

transactionId
​integer · int64 · required · style: simple

transactionId

Create an internal payment terminal. › Headers

Entur-Distribution-Channel
​string · style: simple

Distribution channel identifier.

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Create an internal payment terminal. › Request Body

Information used to customize the payment terminal.
redirectUrl
​string · pattern: ^(https?://).{0,1024… · required

Location to be redirected to from the payment terminal.

Example: http://www.entur.org

Create an internal payment terminal. › Responses

Created

Information about how to access the terminal.
terminalUrl
​string · required

Location of the payment terminal.

Example: https://terminal.entur.no/?data=MTAzNTgzMzoxMDY1NTY4
paymentId
​integer · int64

ID of the payment the transaction belongs to.

Example: 1
transactionId
​integer · int64

ID of the transaction this terminal belongs to.

Example: 1

Pre-authorization and authorization adjustments of a transaction

PUT
https://api.entur.io/sales
/v1/payments/{paymentId}/transactions/{transactionId}/authorize

Authorize a transaction pre-capture. The initial authorization, also called a pre-authorization is to reserve the total you think the transaction will amount to. If the total changes between the initial authorization and the time of capture, initial authorization-calls can be made to either increment or reduce the authorized amount. To trigger this just change the totalAmount in the authorizeRequest accordingly to your needs.

Note: An incremental authorization must be directly preceeded by either a pre-authorization or another incremental authorization. Note: A reductional authorization can only be performed once per transaction. Once a reductional authorization has been done, it is no longe possible to alter the totalAmount of the transaction.

Pre-authorization and authorization adjustments of a transaction › path Parameters

paymentId
​integer · int64 · required · style: simple

paymentId

transactionId
​integer · int64 · required · style: simple

transactionId

Pre-authorization and authorization adjustments of a transaction › Headers

Entur-POS
​string · required · style: simple

Point-of-sale identifier.

Entur-Distribution-Channel
​string · style: simple

Distribution channel identifier.

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Pre-authorization and authorization adjustments of a transaction › Request Body

Information used to update a transaction and payment with correct amount and authorize the new amount to Nets.
totalAmount
​string · required

Amount to pay, represented in the standard currency. Maximum (totalDigits: 18, fractionDigits: 5) according to ISO 20022. The integer and fractional digits are separated by a dot.

Example: 450.00

Pre-authorization and authorization adjustments of a transaction › Responses

OK

Information about the authorized transaction
paymentId
​integer · int64 · required

ID of the payment the transaction belongs to. Used with the transactionId to later capture transaction.

Example: 1
transactionId
​integer · int64 · required

ID of the transaction this terminal belongs to. Used with the paymentId to later capture transaction.

Example: 10

Register wallet-transaction in order to send payments to Netaxept by use of virtual wallets like ApplePay

POST
https://api.entur.io/sales
/v1/payments/{paymentId}/transactions/{transactionId}/wallet

Register with data regarding payment and wallet provider in order to make payments with e.g. ApplePay. Clients must ask Entur to activate agreements for your merchant before using this endpoint.

Register wallet-transaction in order to send payments to Netaxept by use of virtual wallets like ApplePay › path Parameters

paymentId
​integer · int64 · required · style: simple

paymentId

transactionId
​integer · int64 · required · style: simple

transactionId

Register wallet-transaction in order to send payments to Netaxept by use of virtual wallets like ApplePay › Headers

Entur-Distribution-Channel
​string · style: simple

Distribution channel identifier.

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Register wallet-transaction in order to send payments to Netaxept by use of virtual wallets like ApplePay › Request Body

Request body used to register a wallet transaction with an external payment provider.
walletProvider
​WalletProvider · enum · required

Examples of providers are ApplePay and GooglePay. Both of these are supported.

Enum values:
APPLE_PAY
GOOGLE_PAY
Example: APPLE_PAY
paymentData
​string · minLength: 1 · required

Contains payment data that will be ECC encrypted. Client should send this as a JSON-string containing the data as described in https://developer.apple.com/documentation/passkit/payment-token-format-reference#Payment-token-format-reference .

Example: {data:{"version": "EC_v1","data": "CiAgQmFzZTY0IGVueWNyeXB0ZWQgY29udGVudCBvZiB0aGUgdG9rZW4gZGF0YS4uLg==","signature": "MEUCIQDfKf9Zl...FAKE_SIGNATURE...b7Q==","header": {"ephemeralPublicKey": "BCEFAKE_EPHEMERAL_PUBLIC_KEY_BASE64==","publicKeyHash": "FAKE_PUBLIC_KEY_HASH_BASE64==","transactionId": "6B1F2E3A-9C4D-4B1A-8F4C-1234567890AB"}}
redirectUrl
​string | null

Points to where users should be redirected to for 3DS handling after registering payment, according to client. This is optional, and should only be used for GooglePay and if the transaction is being initiated from a web client, and not an app client.

Example: https://your-redirect-url.org/123123

Register wallet-transaction in order to send payments to Netaxept by use of virtual wallets like ApplePay › Responses

Created

Information about registered wallet-transaction.
paymentId
​integer · int64

ID of the payment the transaction belongs to. Used with the transactionId to later capture transaction.

Example: 1
transactionId
​integer · int64

ID of the transaction this terminal belongs to. Used with the paymentId to later capture transaction.

Example: 1
walletProvider
​string

Examples of providers are ApplePay and GooglePay. Both are supported.

Example: ApplePay
terminalUri
​string | null

Location of the payment terminal for handling 3DS. This will only be returned if the redirectUrl was provided in the request.

Example: https://epayment.nets.eu/epay/default.aspx?merchantId=700000&transactionId=8841532204d4426da913a5abfbg322f0

Find all Payment Methods.

GET
https://api.entur.io/sales
/v1/payment-methods

Find all Payment Methods for a specific clientId. This method uses the Entur-Distribution-Channel header as a filter to show only those payment methods with the distributionChannelId matching this header.

Find all Payment Methods. › query Parameters

paymentType
​PaymentType · enum · style: form · explode: true

Filter by PaymentType

The actual type of payment.

Enum values:
AMEX
BANKAXEPT
COLLECTOR
GIFTCARD
MASTERCARD
PAYPAL
VIPPS
VISA
Example: VISA
paymentTypeGroup
​PaymentTypeGroup · enum · style: form · explode: true

Filter by PaymentTypeGroup

A PaymentTypeGroup used to override which kind of method to use for reimbursement, instead of using same as used for the payment transaction.This will only take effect if the payment method on the payment transaction allows for overriding.

Enum values:
AGENT
CASH
ECARD
GIFTCARD
INVOICE
MOBILE
PAYMENTCARD
PAYPAL
Example: CASH

Find all Payment Methods. › Headers

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Entur-Distribution-Channel
​string · style: simple

Distribution channel identifier.

Find all Payment Methods. › Responses

OK

Result from creating a PaymentMethod.
distributionChannelId
​string · required

Distribution Channels controls which organisations can sell, refund or inform on available products or salepoints.

Example: ENT:DistributionChannel:Test
id
​integer · int64 · required

Unique identifier for a payment method.

Example: 1
paymentTypeGroup
​string · required

Group for the payment type. Payment types which are payment cards is in the PAYMENTCARD group.

Example: PAYMENTCARD
clientId
​string

ID of the client this payment method belongs to. This ID is the one found in the client's token.

Example: sS7grDF79fddBFd4=

Current payment configuration set up for psp-client relationship.

Example: {"accountName":"Entur Test","id":1,"merchantConfig":{"someKey":{"configParam":"configValue"}},"paymentProvider":"NETAXEPT"}
paymentType
​string

The actual type of payment.

Example: VISA

Did you find what you were looking for?